%define name	qico
%define basever	0.49.9
%define ver	0.49.10
%define cvsdate	20030109
%define buildrel 6
%if %cvsdate
%define rel	alt0.%buildrel
%else
%define rel	alt%buildrel
%endif

Summary: qico, an ftn-compatible mailer
Name: %name
Version: %ver
Release: %rel
License: BSD
Group: System/Servers

Packager: FTN Development Team <ftn@packages.altlinux.org>

%if %cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: http://lev.serebraykov.spb.ru/download/0.49/qico-%version.tar.gz
%endif
Source1: %name.init
Source2: %name.xinetd
Source3: %name.conf
Source4: %name.subst
Source5: %name.passwd

Patch: %name-scripts.patch.gz
Patch1: %name-ipc.patch

PreReq: ftn >= 2.2-alt2

# Automatically added by buildreq on Sun Oct 27 2002
BuildRequires: flex libncurses-devel libtinfo-devel
%ifdef cvsdate
BuildRequires: autoconf_2.5
%endif

%description
Qico is an FidoNet Technology Network (FTN) compatible mailer for Unix
systems. It has some original features. Full list of features you can
find in README file. It works well (i.e. was runned at least once ;)
under Linux, FreeBSD and even BeOS.

%package xinetd
Summary: xinetd service %name for incoming ftn-over-ip sessions
Group: System/Servers
Requires: %name = %version-%release
PreReq: xinetd

%description xinetd
Qico is an FidoNet Technology Network (FTN) compatible mailer for Unix
systems. It has some original features. Full list of features you can
find in README file. It works well (i.e. was runned at least once ;)
under Linux, FreeBSD and even BeOS.

This package contains xinetd service %name for incoming ftn-over-ip
sessions

%prep
%if %cvsdate
%set_autoconf_version 2.5
%setup -n %name
find . -type d -a -name CVS -print0 | xargs -0 %__rm -rf
perl -pi -e 's/^VERSION=.*$/VERSION=%{ver}pre%cvsdate/' configure.in
%__autoheader
%__autoconf
%else
%setup
%endif
%patch -p1
%patch1 -p0

%build
%configure --with-config=%_sysconfdir/ftn/%name.conf --enable-aso
%make_build

%install
%make_install prefix=%buildroot%_prefix \
              BINDIR=%buildroot%_bindir \
              SBINDIR=%buildroot%_sbindir install-bin
%__mkdir_p %buildroot{%_sysconfdir/{ftn,xinetd.d,logrotate.d},%_initdir}

%__install -m755 %SOURCE1 %buildroot%_initdir/%name
%__install -m644 %SOURCE2 %buildroot%_sysconfdir/xinetd.d/%name-ifc
%__install -m600 %SOURCE3 %buildroot%_sysconfdir/ftn
%__install -m600 %SOURCE4 %buildroot%_sysconfdir/ftn
%__install -m600 %SOURCE5 %buildroot%_sysconfdir/ftn

%__cat <<EOF > %buildroot%_sysconfdir/logrotate.d/%name
%_logdir/ftn/qico-master.log {
	weekly
	compress
	notifempty
	missingok
	create 640 ftn ftn
	postrotate
		/sbin/service %name reload
	endscript
}
%_logdir/ftn/qico.log {
	weekly
	compress
	notifempty
	missingok
	create 640 ftn ftn
	postrotate
		/sbin/service %name reload
	endscript
}
%_logdir/ftn/history {
	monthly
	compress
	notifempty
	missingok
	create 640 ftn ftn
	postrotate
		/sbin/service %name reload
	endscript
}
%_logdir/ftn/emsi.log {
	weekly
	compress
	notifempty
	missingok
	create 600 ftn ftn
	postrotate
		/sbin/service %name reload
	endscript
}
EOF

%pre
if [ ! $1 = 1 ]; then
  /sbin/service %name condstop || :
  echo "%name service is stopped if it was running."
  echo "Automatic restart can't be done because IPC key may be changed during upgrade."
  echo "You should start %name manualy via /sbin/service if you need this."
fi

%post
if [ $1 = 1 ]; then
  /sbin/chkconfig --add %name
fi
for i in qico-master.log qico.log history; do
  if [ ! -f "%_logdir/ftn/$i" ]; then
    :>> "%_logdir/ftn/$i"
    %__chown ftn:ftn "%_logdir/ftn/$i"
    %__chmod 640 "%_logdir/ftn/$i"
  fi
done ||:

for i in emsi.log; do
  if [ ! -f "%_logdir/ftn/$i" ]; then
    :>> "%_logdir/ftn/$i"
    %__chown ftn:ftn "%_logdir/ftn/$i"
    %__chmod 600 "%_logdir/ftn/$i"
  fi
done ||:

%preun
%preun_service %name

%files
%doc stuff README FAQ Changes LICENSE
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%config %_initdir/%name
%config %_sysconfdir/logrotate.d/%name
%attr(600,ftn,ftn) %config(noreplace) %_sysconfdir/ftn/qico.conf
%attr(600,ftn,ftn) %config(noreplace) %_sysconfdir/ftn/qico.passwd
%attr(600,ftn,ftn) %config(noreplace) %_sysconfdir/ftn/qico.subst
%attr(710,root,ftn) %_bindir/qcc
%attr(710,root,ftn) %_bindir/qctl
%attr(710,root,ftn) %_sbindir/qico

%files xinetd
%config(noreplace) %_sysconfdir/xinetd.d/%name-ifc

%changelog
* Thu Feb 06 2003 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.6
- CVS snapshot 20030109
- Fixed logrotate config (shame on me!)
- Fixed %%post script (log creation)

* Sun Feb 02 2003 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.5
- Leave xinetd alone!
- Logrotate script
- Added Packager tag
- Spec cleantup

* Thu Nov 14 2002 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.4
- Fixed %%pre script (closes #0001556)

* Sun Oct 27 2002 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.3
- CVS snapshot 20020809
- Create default logfiles with right permittions upon install
- BuildRequires updated
- Some SPP fixes
- Default configs

* Wed Jul 03 2002 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.2.20020702
- Fixed qico-ifc config

* Tue Jul 02 2002 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.1.20020702
- CVS snapshot 20020702
- Added patch by Vickenty Fesunov (2:5020/3996.3) that adds some
  qipc_done() calls before exit on error
- Some cosmetic changes in spec

* Thu May 02 2002 Sir Raorn <raorn@altlinux.ru> 0.49.10-alt0.0.20020501
- CVS snapshot 20020501
- Service ftn renamed to qico
  (service ftn should be stopped before upgrading from qico <= 0.49.9-alt1!)
- Added xinetd service config
- Fixed problems with automatic restart
  (no autorestart - no problems :-)

* Wed Apr 10 2002 Sir Raorn <raorn@altlinux.ru> 0.49.9-alt1
- [0.49.9]

* Mon Dec 03 2001 Sir Raorn <raorn@altlinux.ru> 0.49.9-alt0.pre.20010907.1
- Built for Sisyphus
